Page MenuHomePhabricator

Revert Thanks limit on pl.wp for new users
Closed, ResolvedPublic

Description

From T174191: Generate report via logstash of pl.wikipedia thanks-notification rate limiting we can see that on pl.wikipedia for the past 30 days only 7 users hit this threshold. In my opinion this is low enough for us to revert the limit.

If the problem returns we should think about a more universal solution, such as implementing a (per-wiki customizable) limit for all Echo-enabled wikis, bundling Thanks notifications that originate from the same user in the same day, or other solutions to alleviate this problem.

Event Timeline

greg created this task.Sep 18 2017, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2017, 8:10 PM

Change 378784 had a related patch set uploaded (by Greg Grossmeier; owner: Greg Grossmeier):
[operations/mediawiki-config@master] Revert "Limit thanks for new users at pl.wikipedia to 3 per day"

https://gerrit.wikimedia.org/r/378784

jrbs moved this task from Backlog to Security/Abuse on the Trust-and-Safety board.Sep 18 2017, 8:25 PM
Kizule added a subscriber: Kizule.Oct 2 2017, 9:27 PM

Schedule for 03 October in European Mid-day SWAT between 13:00-14:00 UTC

Change 378784 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Limit thanks for new users at pl.wikipedia to 3 per day"

https://gerrit.wikimedia.org/r/378784

Mentioned in SAL (#wikimedia-operations) [2017-10-03T13:34:55Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:378784|Revert "Limit thanks for new users at pl.wikipedia to 3 per day" (T176174 T169268)]] (duration: 00m 46s)

Dereckson closed this task as Resolved.Oct 3 2017, 1:39 PM
Dereckson claimed this task.
Dereckson removed Dereckson as the assignee of this task.
Dereckson added a subscriber: Dereckson.